SmlXmlAssemblerStatus Struct Reference
libsyncml API Internals » XML/WBXML API » Internal details of XML/WBXML API » XML Assembler Internals
Collaboration diagram for SmlXmlAssemblerStatus:

## Data Fields

unsigned int | cmdRef
unsigned int | msgRef
xmlBuffer * | buffer
unsigned int | cmdID

## Detailed Description

Definition at line 57 of file sml_xml_assm_internals.h.

## Field Documentation

unsigned int SmlXmlAssemblerStatus::cmdRef

The type of the command. Used the make the opening and closing tags

Definition at line 59 of file sml_xml_assm_internals.h.

xmlBuffer* SmlXmlAssemblerStatus::buffer

The buffer that holds the assembled data of this status

Definition at line 63 of file sml_xml_assm_internals.h.

unsigned int SmlXmlAssemblerStatus::cmdID

The command id.

Definition at line 65 of file sml_xml_assm_internals.h.

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/parser/sml_xml_assm_internals.h